<template>
  <div>
    <b-row class="my-4">
      <b-col
        class="pb-4"
        cols="12"
      >
        <h3>
          Aperçu avec les composants de Bootstrap 4
        </h3>
      </b-col>
      <b-col lg="6">
        <p>
          <button
            v-for="variant in ['secondary', 'primary', 'success', 'info',
                               'warning', 'danger', 'light', 'dark',
                               'link']"
            :key="variant"
            :class="`btn btn-${variant} m-1`"
          >
            <i class="fas fa-egg"></i>
            <span v-html="$t(variant, '-kK')"></span>
          </button>
        </p>
        <p>
          <button
            v-for="variant in ['secondary', 'primary', 'success', 'info',
                               'warning', 'danger', 'light', 'dark',
                               'link']"
            :key="variant"
            :class="`btn btn-${variant} active m-1`"
          >
            <i class="fas fa-egg"></i>
            <span v-html="$t(variant, '-kK')"></span>
          </button>
        </p>
        <p>
          <button
            v-for="variant in ['secondary', 'primary', 'success', 'info',
                               'warning', 'danger', 'light', 'dark']"
            :key="variant"
            :class="`btn btn-outline-${variant} m-1`"
          >
            <i class="fas fa-egg"></i>
            <span v-html="$t(variant, '-kK')"></span>
          </button>
        </p>
        <p>
          <span
            v-for="variant in ['secondary', 'primary', 'success', 'info',
                               'warning', 'danger', 'light', 'dark']"
            :key="variant"
            :class="`badge badge-${variant} m-1`"
          >
            <i class="fas fa-egg"></i>
            <span v-html="$t(variant, '-kK')"></span>
          </span>
        </p>
      </b-col>
      <b-col lg="6">
        <b-card>
          <ul class="d-flex list-inline">
            <li
              v-for="variant in ['muted', 'primary', 'success', 'info',
                                 'warning', 'danger']"
              :key="variant"
            >
              <a
                :class="`text-${variant}`"
                href="#"
              >
                <i class="fas fa-link"></i>
                Lien
              </a>&nbsp;
            </li>
          </ul>
          <p
            v-for="variant in ['muted', 'primary', 'success', 'info',
                               'warning', 'danger']"
            :key="variant"
            :class="`text-${variant}`"
          >
            <i class="fas fa-egg"></i>
            Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.
          </p>
        </b-card>
      </b-col>
    </b-row>

    <b-row>
      <b-col lg="9">
        <div class="alert alert-success">
          <i class="fas fa-circle-check"></i>
          <strong>Well done!</strong> You successfully read
          <a
            href="#"
            class="alert-link"
          >
            <i class="fas fa-link"></i>
            this important alert message
          </a>.
        </div>
        <div class="alert alert-info">
          <i class="fas fa-circle-exclamation"></i>
          <strong>Heads up!</strong> This
          <a
            href="#"
            class="alert-link"
          >
            <i class="fas fa-link"></i>
            alert needs your attention
          </a>, but it's not super important.
        </div>
        <div class="alert alert-warning">
          <i class="fas fa-triangle-exclamation"></i>
          <strong>Warning!</strong> Better check yourself, you're
          <a
            href="#"
            class="alert-link"
          >
            <i class="fas fa-link"></i>
            not looking too good
          </a>.
        </div>
        <div class="alert alert-danger">
          <i class="fas fa-circle-xmark"></i>
          <strong>Oh snap!</strong>
          <a
            href="#"
            class="alert-link"
          >
            <i class="fas fa-link"></i>
            Change a few things up
          </a>
          and try submitting again.
        </div>
      </b-col>
    </b-row>
    <b-row
      align-h="center"
    >
      <b-col
        v-for="variant in ['secondary', 'primary', 'success', 'info',
                           'warning', 'danger', 'dark', 'light']"
        :key="variant"
        cols="6"
        md="4"
      >
        <b-card
          :header-bg-variant="variant"
          :header-text-variant="variant === 'light' ? '' : 'white'"
          :border-variant="variant === 'light' ? '' : variant"
          :header="$t(variant, '-kK')"
          class="text-center my-2"
        >
          <b-card-text>Card content</b-card-text>
        </b-card>
      </b-col>
    </b-row>
  </div>
</template>
